If you are unable to install the OBDeleven application on Android, make sure that you are using at least Android 5 or a later version. If you have the needed version, proceed with the steps below.

To fix the “your device is not compatible with this version” error message, try clearing the Google Play Store cache, and then data. Next, restart the Google Play Store and try installing the app again. 


Pull down the notification bar on your Android device and hit the gear-shaped settings icon, or find “settings” in the application tray. From here navigate to Apps or App Manager. Then scroll down and find Google Play Store. Select this, and tap Clear Cache or Data as shown below.


This should erase everything, and get rid of any corrupt files that seem to be causing this problem.